Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.junit.ant
Class ConfigurableJUnitTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.junit.JUnitTask
                  org.jboss.portal.common.junit.ant.ConfigurableJUnitTask

    public class ConfigurableJUnitTask

extends org.apache.tools.ant.taskdefs.optional.junit.JUnitTask

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.optional.junit.JUnitTask
`org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.ForkMode, org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.SummaryAttribute`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ConfigurableJUnitTask()`

Method Summary
`void` | `addZest(ConfigurableJUnitTest test)`
`protected void` | `execute(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.JUnitTask
`actOnTestResult, addAssertions, addClasspathEntry, addConfiguredSysproperty, addEnv, addFormatter, addSysproperty, addSyspropertyset, addTest, allTests, createBatchTest, createBootclasspath, createClasspath, createJvmarg, createPermissions, createWatchdog, execute, execute, executeOrQueue, getCommandline, getDefaultOutput, getIndividualTests, getOutput, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, setDir, setErrorProperty, setFailureProperty, setFiltertrace, setFork, setForkMode, setHaltonerror, setHaltonfailure, setIncludeantruntime, setJvm, setMaxmemory, setNewenvironment, setPrintsummary, setReloading, setShowOutput, setTempdir, setTimeout`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurableJUnitTask

    public ConfigurableJUnitTask()
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### addZest

    public void addZest(ConfigurableJUnitTest test)

### execute

    protected void execute(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)
                    throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.optional.junit.JUnitTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.